/*JH Zhao 12-2-00*/
/*would need original pedigreesParis.zip to see differences*/

options ps=2000;
options nocenter;

dm 'clear log;clear out';

/*check family IDs*/
/*read data*/
data old;
  infile "pre\chr1.pre";
  input pedigree$ id fid mid sex aff liab;
  group1=1;
  if pedigree="" then delete;
  if aff=0 and liab=1 then affect=1; /*0 1*/
  if aff=1 and liab=1 then affect=2; /*1 1*/
  if aff=2 and liab=1 then affect=3; /*2 1*/
  if aff=2 and liab=2 then affect=4; /*2 2*/
  if aff=2 and liab=3 then affect=5; /*2 3*/
  if aff=2 and liab=4 then affect=6; /*2 4*/
  label affect='affection status'
        pedigree='pedigree id';
run;

data new;
  infile "paris\d0_chr1.pre";
  input pedigree$ id fid mid sex aff liab;
  group2=1;
  if pedigree="" then delete;
  if aff=0 and liab=1 then affect=1; /*0 1*/
  if aff=1 and liab=1 then affect=2; /*1 1*/
  if aff=2 and liab=1 then affect=3; /*2 1*/
  if aff=2 and liab=2 then affect=4; /*2 2*/
  if aff=2 and liab=3 then affect=5; /*2 3*/
  if aff=2 and liab=4 then affect=6; /*2 4*/
  label affect='affection status'
        pedigree='pedigree id';
run;

/*rough comparison*/
proc freq data=old;
  table pedigree;
run;

proc freq data=new;
  table pedigree;
run;

proc sort data=old out=uold nodupkey;
  by pedigree;
run;

proc print data=uold;
  var pedigree;
run;

proc sort data=new out=unew nodupkey;
  by pedigree;
run;

proc print data=unew;
  var pedigree;
run;

/*merge them*/
proc sort data=old;
  by pedigree id;
run;

proc sort data=new;
  by pedigree id;
run;

data oldnew;
  merge old new;
  by pedigree id;
  keep pedigree id group1 group2;
run;

/*examine the differences*/
data differ;
  set oldnew;
  where group1<>group2;
run;

proc sort data=differ nodupkey;
  by pedigree;
run;

proc print data=differ width=min;
  var pedigree group1 group2;
run;

/*chromosomes X*/
data oldx;
  chr='x';
  infile "pre\chrx.pre";
  input pedigree$ id fid mid sex aff liab x1-x30;
run;

proc tabulate f=6. noseps fc=' ----------';
class sex x1-x30;
table x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12 x13 x14 x15
      x16 x17 x18 x19 x20 x21 x22 x23 x24 x25 x26 x27 x28 x29 x30,sex all;
keylabel n=' ' all='total';
run;

data newx;
  chr='x';
  infile "paris\d0_chrx.pre";
  input pedigree$ id fid mid sex aff liab y1-y28;
run;

proc tabulate f=6. noseps fc=' ----------';
class sex y1-y28;
table y1 y2 y3 y4 y5 y6 y7 y8 y9 y10 y11 y12 y13 y14 y15
      y16 y17 y18 y19 y20 y21 y22 y23 y24 y25 y26 y27 y28,sex all;
keylabel n=' ' all='total';
run;

data newy;
  chr='x';
  infile "paris\d0_chry.pre";
  input pedigree$ id fid mid sex aff liab z1-z2;
run;

proc tabulate f=6. noseps fc=' ----------';
class sex z1-z2;
table z1 z2,sex all;
keylabel n=' ' all='total';
run;

