/*
  JH Zhao 23/2/00 Institue of Psychiatry

  To obtain mod score and its distribution from lodfile.dat
  This program replaces the C program for similar purpose

  %getlod should be seen as an instance for arbitrary # of families
  For instance, for \theta=0 only would be "input t0 f1-f112;", etc.

 */

%macro getlod(in,out,model);
data &out;
  infile &in;
  input t0 f1-f112 t1 f113-f224 t2 f225-f336 t3 f337-f448 t4 f449-f560;
  replicat=_n_;
  model=&model;
  lod0=sum(of f1-f112);
  lod1=sum(of f113-f224);
  lod2=sum(of f225-f336);
  lod3=sum(of f337-f448);
  lod4=sum(of f449-f560);
  lod=max(of lod0-lod4);
  drop t0-t4 f1-f560 lod0-lod4;
run;
%mend;

%getlod("model1/lodfile.dat",lod1,1);
%getlod("model2/lodfile.dat",lod2,2);
%getlod("model3/lodfile.dat",lod3,3);
%getlod("model4/lodfile.dat",lod4,4);
%getlod("model5/lodfile.dat",lod5,5);
%getlod("model6/lodfile.dat",lod6,6);

data all;
  merge lod1(rename=(lod=lod1))
        lod2(rename=(lod=lod2))
        lod3(rename=(lod=lod3))
        lod4(rename=(lod=lod4))
        lod5(rename=(lod=lod5))
        lod6(rename=(lod=lod6));by replicat;
  mod=max(of lod1-lod6);
  drop model;
run;

proc format;
  value cutoff low-<1='<1' 1-<2='1-' 2-<3='2-' 3-high='3-';
run;

proc tabulate data=all f=6.0;
  class mod;
  table mod*(N PCTN*f=6.2) all;
  keylabel n=' ' pctn=' ' all=' ';
  format mod cutoff.;
run;
